Oracle8: ELSA-2022-5779: ruby Moderate Security Update | LinuxSecur...
Oracle Linux Security Advisory ELSA-2022-5779

https://linux.oracle.com/errata/ELSA-2022-5779.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm
ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm
ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
ruby-doc-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-abrt-doc-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.i686.rpm
rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.x86_64.rpm
rubygem-bson-doc-4.3.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-bundler-doc-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-did_you_mean-1.2.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.i686.rpm
rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.i686.rpm
rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
rubygem-minitest-5.10.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-mongo-doc-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.x86_64.rpm
rubygem-mysql2-doc-0.4.10-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-net-telnet-0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.i686.rpm
rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.x86_64.rpm
rubygem-pg-doc-1.0.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-power_assert-1.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.i686.rpm
rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm
rubygem-rake-12.3.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-rdoc-6.0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygems-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygems-devel-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-test-unit-3.2.7-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-xmlrpc-0.3.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
ruby-irb-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm
ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm

aarch64:
ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
ruby-doc-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-abrt-doc-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.aarch64.rpm
rubygem-bson-doc-4.3.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-bundler-doc-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-did_you_mean-1.2.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
rubygem-minitest-5.10.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-mongo-doc-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.aarch64.rpm
rubygem-mysql2-doc-0.4.10-4.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-net-telnet-0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.aarch64.rpm
rubygem-pg-doc-1.0.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm
rubygem-power_assert-1.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm
rubygem-rake-12.3.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-rdoc-6.0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygems-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygems-devel-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-test-unit-3.2.7-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
rubygem-xmlrpc-0.3.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
ruby-irb-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm
ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm


SRPMS:
https://oss.oracle.com/ol8/SRPMS-updates/ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.src.rpm
https://oss.oracle.com/ol8/SRPMS-updates/rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.src.rpm

Related CVEs:

CVE-2021-41817
CVE-2021-41819




Description of changes:

ruby
[2.5.9-110]
- Fix FTBFS due to an incompatible load directive.
- Fix a fiddle import test on an optimized glibc on Power 9.
- Fix by adding length limit option for methods that parses date strings.
  Resolves: CVE-2021-41817
- CGI::Cookie.parse no longer decodes cookie names to prevent spoofing security
  prefixes in cookie names.
  Resolves: CVE-2021-41819

_______________________________________________
El-errata mailing list
[email protected]
https://oss.oracle.com/mailman/listinfo/el-errata

Oracle8: ELSA-2022-5779: ruby Moderate Security Update

Summary

Description of changes: ruby [2.5.9-110] - Fix FTBFS due to an incompatible load directive. - Fix a fiddle import test on an optimized glibc on Power 9. - Fix by adding length limit option for methods that parses date strings. Resolves: CVE-2021-41817 - CGI::Cookie.parse no longer decodes cookie names to prevent spoofing security prefixes in cookie names. Resolves: CVE-2021-41819

i386

x86_64

ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm ruby-doc-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-abrt-doc-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.i686.rpm rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.x86_64.rpm rubygem-bson-doc-4.3.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-bundler-doc-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-did_you_mean-1.2.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.i686.rpm rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.i686.rpm rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm rubygem-minitest-5.10.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-mongo-doc-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.x86_64.rpm rubygem-mysql2-doc-0.4.10-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-net-telnet-0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.i686.rpm rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.x86_64.rpm rubygem-pg-doc-1.0.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-power_assert-1.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.i686.rpm rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm rubygem-rake-12.3.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-rdoc-6.0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygems-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygems-devel-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-test-unit-3.2.7-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-xmlrpc-0.3.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm ruby-irb-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.i686.rpm ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.x86_64.rpm aarch64: ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm ruby-devel-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm ruby-doc-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-abrt-doc-0.3.0-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-bigdecimal-1.3.4-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.aarch64.rpm rubygem-bson-doc-4.3.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-bundler-doc-1.16.1-4.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-did_you_mean-1.2.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-io-console-0.4.6-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm rubygem-json-2.1.0-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm rubygem-minitest-5.10.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-mongo-doc-2.5.1-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.aarch64.rpm rubygem-mysql2-doc-0.4.10-4.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-net-telnet-0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-openssl-2.1.2-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.aarch64.rpm rubygem-pg-doc-1.0.0-2.module+el8.3.0+7756+e45777e9.noarch.rpm rubygem-power_assert-1.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-psych-3.0.2-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm rubygem-rake-12.3.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-rdoc-6.0.1.1-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygems-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygems-devel-2.7.6.3-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-test-unit-3.2.7-110.module+el8.6.0+20712+84e27c2d.noarch.rpm rubygem-xmlrpc-0.3.0-110.module+el8.6.0+20712+84e27c2d.noarch.rpm ruby-irb-2.5.9-110.module+el8.6.0+20712+84e27c2d.noarch.rpm ruby-libs-2.5.9-110.module+el8.6.0+20712+84e27c2d.aarch64.rpm

SRPMS

https://oss.oracle.com/ol8/SRPMS-updates/ruby-2.5.9-110.module+el8.6.0+20712+84e27c2d.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-abrt-0.3.0-4.module+el8.3.0+7756+e45777e9.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-bson-4.3.0-2.module+el8.3.0+7756+e45777e9.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-bundler-1.16.1-4.module+el8.6.0+20712+84e27c2d.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-mongo-2.5.1-2.module+el8.3.0+7756+e45777e9.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-mysql2-0.4.10-4.module+el8.3.0+7756+e45777e9.src.rpm https://oss.oracle.com/ol8/SRPMS-updates/rubygem-pg-1.0.0-2.module+el8.3.0+7756+e45777e9.src.rpm

Severity
Related CVEs: CVE-2021-41817 CVE-2021-41819

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.